# Uses of Class
org.apache.sysds.runtime.instructions.cp.VariableCPInstruction

Packages that use VariableCPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.instructions.fed

## Uses of VariableCPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type VariableCPInstruction
Modifier and Type
Method
Description
`static double`
CPCostUtils.`getVariableInstTime(VariableCPInstruction inst, VarStats input, VarStats output, IOCostUtils.IOMetrics metrics)`

## Uses of VariableCPInstruction in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return VariableCPInstruction
Modifier and Type
Method
Description
`static VariableCPInstruction`
VariableCPInstruction.`parseInstruction(String str)`

## Uses of VariableCPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type VariableCPInstruction
Modifier and Type
Method
Description
`static VariableFEDInstruction`
VariableFEDInstruction.`parseInstruction(VariableCPInstruction inst, ExecutionContext ec)`